#!/bin/bash

set -e

ipaddress=$1
username=$2
password=$3
pluginname=$4

if [ -z "$ipaddress" -o -z "$username" -o -z "$password" -o -z "$pluginname" ]; then
        echo "usage: $0 <vcenterip> <username> <password> <pluginname>"
        exit 1
fi

. /usr/share/java-utils/java-functions

MAIN_CLASS=com.dell.pg.vcenter.scripts.RegisterExtension

set_classpath "RegisterExtension webservices-rt webservices-api webservices-extra-api webservices-extra webservices-tools"

set_flags -Djavax.net.ssl.trustStore=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/security/cacerts

run --ipaddress $ipaddress --user $username --password $password --plugin-name $pluginname  --plugin-desc $pluginname 
